
Redmine - Defect #5375

Roadmap "open" link jumps to child issue list, filtering out parent issues

2010-04-23 08:39 - Andrew Sherman

Status: Closed Start date: 2010-04-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

to reproduce:

1. create a parent project with a child

2. create a version for the child project, choosing "With project hierarchy" for the Sharing option

3. create a issue for the parent and assign it to the child's version

4. go to the parent's roadmap

5. The child's version should show up on the parent's roadmap. There should be a "1 open" link. Click on it.

BUG:

You are taken to an empty issue list. This seems to be happening because the link takes you to the child project where parent issues

can not be seen.

So a fix would be to either:

1. allow parent issues assigned to child versions to be viewed in the child's issue list (my preference)

2. Change the link from the parent roadmap so it jumps to the parent's issue list instead of the childs. With this solution there would

still be the awkwardness that the child's roadmap (which shows parent issues assigned to it's version) would exhibit this strange

behavior. You can see this be complete the same reproduction steps above but this time use the "1 open" link on the child's

roadmap page instead of the parents.

History

#1 - 2010-12-30 04:43 - Mischa The Evil

- Category set to Roadmap

#2 - 2018-08-15 19:05 - Marius BĂLTEANU

- Status changed from New to Resolved

I cannot reproduce on the current trunk (#17473). The link "1 open" points now to the correct parent project.

#3 - 2018-08-15 19:06 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Cant reproduce
